Subject: Re: [GROW] draft-ietf-grow-simple-va

From: Ronald Bonica <[email-masked]>
Date: Wed, 25 Apr 2012 19:32:15 -0400

Folks,

One week ago, I polled the WG in an attempt to gage interest in draft-ietf-grow-simple. The following responses were posted:

- http://www.ietf.org/mail-archive/web/grow/current/msg02228.html
- http://www.ietf.org/mail-archive/web/grow/current/msg02229.html

While these two messages are not sufficient evidence of wide community interest in this draft, they do suggest that there may be interest out there. So, I will ask the chairs to conduct another WG last call on this draft. In the last call announcement, please ask folks who want the draft to be published to speak up. Silence will be interpreted as disinterest.

Until the WG last call is complete, I will transition the draft to the AD-WATCHING state.

                                           Ron

> -----Original Message-----
> From: Ronald Bonica
> Sent: Wednesday, April 18, 2012 3:19 PM
> To: [email-masked]
> Subject: draft-ietf-grow-simple-va
> 
> Folks,
> 
> The WG has recently submitted draft-ietf-grow-simple-va-04 for
> publication. As part of my AD review, I looked for discussion of this
> draft on the mailing list. Excluding messages from internet-
> [email-masked] and the chairs, the following are the only messages
> that I see:
> 
> - (Mar-17-2011) http://www.ietf.org/mail-
> archive/web/grow/current/msg01851.html
> - (Sep-20-2010) http://www.ietf.org/mail-
> archive/web/grow/current/msg01748.html
> - (Aug-23-2010) http://www.ietf.org/mail-
> archive/web/grow/current/msg01726.html
> - (Mar-01-2010) http://www.ietf.org/mail-
> archive/web/grow/current/msg01618.html
> 
> Given that there has been no discussion of this draft for the last
> year, and that there was almost no discussion of this draft before
> that, I need to gage the degree to which the WG is still interested in
> it.
> 
> Can anyone speak to the level of WG interest in this draft? As this is
> an operational WG, I am especially interested in hearing from
> operators. However, all views are welcomed.
> 
> --------------------------
> Ron Bonica
> vcard:       www.bonica.org/ron/ronbonica.vcf
>

---

From: Robert Raszuk <[email-masked]>
Date: Sat, 28 Apr 2012 12:50:56 +0200

Hi,

Actually Xiaohu reminded me what triggered my work in this area.

As we all know Routing Research Group has met for number of years and as 
an outcome produced recommendation document which clearly states that 
before transitioning to loc/id split architecture operational community 
can use some form of aggregation where prefix growth would exceed 
forwarding capacity of deployed devices.

Work on VA and simple-va provides a technology to address that precise 
recommendation.

When IETF issues a RFC this becomes a recommendation for the community 
and not for WG it has been develop under. There is no reason for another 
last call of the set of documents in GROW WG. If there is one we need to 
include much broader community including mid and small operators which 
do not attend IETF as they will mostly benefit from this functionality.

Many of them provided vendor who supports this enhancement in production 
os their requirements. Some of them are in native language and not in 
english.

I recommend proceeding with the documents review by IESG. Otherwise I 
think we need to collect broader discussion when an AD is authorized to 
stop progressing useful and deployed technology. Our main goal in the 
IETF should be focused to serve operators to provide tools for them to 
realize new services. It should not be forum to reflect given vendor's 
internal preferences.

Best regards,
R.

> Folks,
>
> One week ago, I polled the WG in an attempt to gage interest in
> draft-ietf-grow-simple. The following responses were posted:
>
> - http://www.ietf.org/mail-archive/web/grow/current/msg02228.html -
> http://www.ietf.org/mail-archive/web/grow/current/msg02229.html
>
> While these two messages are not sufficient evidence of wide
> community interest in this draft, they do suggest that there may be
> interest out there. So, I will ask the chairs to conduct another WG
> last call on this draft. In the last call announcement, please ask
> folks who want the draft to be published to speak up. Silence will be
> interpreted as disinterest.
>

---

From: Robert Raszuk <[email-masked]>
Date: Sun, 29 Apr 2012 01:43:54 +0200

Hi,

Just to put things in perspective I run a few searches today and wrote a 
little script to see what was the former GROW WG traffic for already 
issued RFCs when AD was Mr. Bonica:

RFC6198 -  5 people active on the list (-WG chairs and AD) - 26 messages
RFC6382 - 17 people active on the list (-WG chairs and AD) - 53 messages
RFC6396 - 12 people active on the list (-WG chairs and AD) - 87 messages
RFC6397 -  4 people active on the list (-WG chairs and AD) - 28 messages
RFC6441 - 13 people active on the list (-WG chairs and AD) - 47 messages

With discussions reg -va and simple-va we have this:

12 people active on the list (-WG chairs and AD) - 77 messages

Then as mentioned below one should consider other working groups like 
RRG or IDR also discussing the drafts in question. Last but not least to 
serve a community better one could get to some effort to google a bit 
and see that juniper-nsp had number of discussions on the very subject 
as well:

29 messages - 
http://markmail.org/message/wno3b62wv4j7m74e#query:+page:1+mid:vwb3rnzvfo4dawxi+state:results
j-nsp - [j-nsp] Summarize Global Table - 29 messages
Oct 25 - Oct 28 2011

9 messages - [j-nsp] full table ? 20 sep - oct 12 2011

17 messages on IDR -  draft on virtual aggregation Jul 2008 -
http://www.archivum.info/[email-masked]/2008-07/00008/Re-(Idr)-draft-on-virtual-aggregation.html

If those facts and numbers do not provide a sufficient basis to proceed 
with the -va and simple-va documents I do not know what does. If we 
think that we should move the discussion to ietf-interest or similar 
bigger alias to discuss what community support for a given work in IETF 
really means I will be happy to do that.

Best regards,
R.

> _______________________________________________
> GROW mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/grow
>
>

---

From: Ronald Bonica <[email-masked]>
Date: Sun, 29 Apr 2012 16:13:39 -0400

If we
> really means I will be happy to do that.

Robert, 

This is a pretty good idea! 

So, I would ask the chairs to post another WG last call on both documents. In the last call, please mention that we are looking to gage community interest, so silence  will not be interpreted as consent.

Robert, would you be willing to call attention to the last call on whatever mailing lists you think appropriate. The list [email-masked] leaps to mind, but you might think of others, too.

                                                                    Ron

---

From: Robert Raszuk <[email-masked]>
Date: Sun, 29 Apr 2012 22:20:57 +0200

Ronald,

This document as proven in my last email with real number got sufficient
attention already and there is no need for another last call.

Please explain why those documents require more community support then 
other documents issued as RFCs in the GROW WG.

The quote below was to evaluate what others understand by "sufficient
community support".

R.

> If we
>> think that we should move the discussion to ietf-interest or
>> similar bigger alias to discuss what community support for a given
>> work in IETF really means I will be happy to do that.
>>
>> Best regards, R.
>>
>
> Robert,
>
> So, I would ask the chairs to post another WG last call on both
> documents. In the last call, please mention that we are looking to
> gage community interest, so silence  will not be interpreted as
> consent.
>
> Robert, would you be willing to call attention to the last call on
> whatever mailing lists you think appropriate. The list [email-masked]
> leaps to mind, but you might think of others, too.
>
> Ron
>
>
>

---

From: Ronald Bonica <[email-masked]>
Date: Sun, 29 Apr 2012 22:42:41 -0400

Robert,

These drafts are unique in my experience as an AD. 

The WG Last Call appears to have occurred in the 14 days following July 29, 2010. I don't see any firm conclusion to that last call. The closest thing to a conclusion that I see is the following message in which Paul Francis encourages the chairs to interpret silence as consent:

- http://www.ietf.org/mail-archive/web/grow/current/msg01748.html

However, the chairs are silent. On March 17, 2011, I see the following messages from Wes George:

- http://www.ietf.org/mail-archive/web/grow/current/msg01851.html
- http://www.ietf.org/mail-archive/web/grow/current/msg01850.html

Because the authors are still seeking review seven months after the WG Last Call, I infer that the July 29 Last Call was inconclusive. (Otherwise, why would they still be seeking review?)

I have no clear indication that consensus was called until March, 2012 when the chairs sent the drafts to me for publication. However, because the WG was mostly silent regarding these drafts between March 2011 and March 2012, I have no idea what events caused consensus to be called.

Because the WG Last Call process was so irregular, I asked about WG interest and received a tepid response. As I recall, only one positive response posted by a non-author.

So, how do we proceed? If you want to demonstrate WG support of draft-ietf-grow-simple-va, let the WG LC proceed. If you want to publish without demonstrating WG support, I would be glad to AD sponsor that draft.

However, I have reservations about AD sponsoring draft-ietf-grow-va because of the negative response I received regarding that draft when I queried the mailing list. I would really be much more comfortable if that draft went through another IETF last call.

                                    Ron

P.S. BTW, the short answer to your question is that these drafts are receiving more scrutiny because the WG Last Call process was so irregular.

> From: Robert Raszuk [mailto:[email-masked]]
> Sent: Sunday, April 29, 2012 4:21 PM
> To: Ronald Bonica
> Cc: [email-masked]; [email-masked]
> Subject: Re: [GROW] draft-ietf-grow-simple-va
> 
> Ronald,
> 
> This document as proven in my last email with real number got
> sufficient attention already and there is no need for another last
> call.
> 
> >> bigger alias to discuss what community support for a given work in
> >> IETF really means I will be happy to do that.
> >>
> >> Best regards, R.
> >>
> >
> > Robert,
> >

---

From: Robert Raszuk <[email-masked]>
Date: Mon, 30 Apr 2012 07:49:00 +0200

Ron,

>> So, how do we proceed? If you want to demonstrate WG support of
 >> draft-ietf-grow-simple-va, let the WG LC proceed. If you want to
 >> publish without demonstrating WG support, I would be glad to AD
>> sponsor that draft.

Please proceed with AD sponsorship on this draft.

In my view the idea and the draft have already received sufficient 
support within this group, other IETF and IRTF groups as well as outside 
of IETF in various public forums.

Thx,
R.

---

From: Ronald Bonica <[email-masked]>
Date: Mon, 30 Apr 2012 12:52:23 -0400

Robert,

This sounds reasonable to me. Please issue a new version of the draft, as the current version has expired. When you issue a new version, change the filename, so that it won't look like a WG submission. Also, ping me so that I can send the document on for IETF Last Call.

                                                             Ron

> Sent: Monday, April 30, 2012 1:49 AM
> To: Ronald Bonica
> support within this group, other IETF and IRTF groups as well as
> outside of IETF in various public forums.
> 
> Thx,
> R.

---

From: Jakob Heitz <[email-masked]>
Date: Mon, 30 Apr 2012 15:42:02 -0400

draft-ietf-grow-simple-va-04 needs another deployment consideration.

Routes in the RIB (not the FIB) are sometimes used
to resolve BGP nexthops and nexthops for static routes.

There is a rule not to resolve such nexthops using the default
route. If routes are removed from the RIB, they will no
longer be able to resolve nexthops. Also, when resolving
nexthops, the resolving routes sometimes carry attributes
that are important to the resolving process. If the
default route is used to resolve nexthops, such attributes
would be lost. Examples of such attributes are
IGP distance (it may be the same as the default) and
whether it is on a tunnel.

The reason for that rule is this:
A non default route says: I can reach the advertised
network and all IP addresses covered by it. If any
IP address covered by this prefix is unreachable,
then it doesn't exist.
A default route says: I can reach many IP addresses,
but obviously not all of them. I can not tell you
which I can actually reach and which I can't.

Routes in the RIB may also be redistributed to other
protocols. If they no longer exist in the RIB, they
will not be redistributed.

These considerations do not break the technique,
but they need to be stated.

--
Jakob Heitz.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ronald Bonica
Sent: Monday, April 30, 2012 9:52 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [GROW] draft-ietf-grow-simple-va

Robert,

                                                             Ron

---

From: Robert Raszuk <[email-masked]>
Date: Mon, 30 Apr 2012 22:01:11 +0200

Hi Jakob,

> to resolve BGP nexthops and nexthops for static routes.

Not sometimes .. Pretty much every time !

> route.

That is an option - true.

> If routes are removed from the RIB, they will no
> longer be able to resolve nexthops.

Disconnect ! Simple-va does not remove routes from RIB. It suppresses 
overlapping less specific one.

An option is to suppress all by injecting the default, but this would be 
configurable. Clearly if you allow that you should not disable next hop 
resolution via default. Those two would be mutually exclusive.

> Also, when resolving

Again ... default is the special case as described above. Other then 
that the less specific would have the same next hop as potentially 
suppressed more specific hence IGP distance would be the same.

An implementation may consider not to suppress routes with AIGP 
attribute being significantly different but again I do not find it 
necessary for routing correctness since the main assumption is identical 
next hop.

> which I can actually reach and which I can't.

Nothing guarantees that you can reach all destinations covered by a 
subnet. (We have been working on negative routes in the past however 
that effort has been shelved).

But I think you are missing the applicability of suppressing to the 
default versus suppressing to the less specific.

1. Suppression to the default(s):

- Applicable to the edge routers in the POP when default route is 
injected from all POP to core boundary routers into the POP.

Note: This mode could be also applicable to AS wide suppression only if 
we could guarantee the exact symmetry of ASBR received BGP updates in 
the AS.

2. Suppression to the less specific:

- Applicable in all cases.

> will not be redistributed.

In the default case - you are correct.

In the suppression by less specific redistribution will work just fine 
routing wise.

The local implementation may tag routes to be suppressed at the BGP to 
RIB boundary and only suppress tagged at the RIB to FIB to address 
redistribution case. However redistribution of BGP to other protocols is 
usually not that good of an idea hence we decided to leave it for now.

> but they need to be stated.

I am happy to add above clarification to the text in the draft.

Many thx,
R.

---

From: Jakob Heitz <[email-masked]>
Date: Mon, 30 Apr 2012 19:51:47 -0400

> overlapping less specific one.

quote from the draft
...suppress certain routes from being installed in RIB and FIB tables.

If they are "suppressed from being installed in RIB"
then they can't be used to resolve nexthops or to be redistributed.

> However redistribution of BGP to other protocols is 
> usually not that good of an idea 

Redistribution of some selected BGP routes does occur.
Not just into IGP and LDP, but also into applications.

-- 
Jakob Heitz.